Subject: Re: [net-next PATCH v4 1/5] net: cpsw: enhance pinctrl support

From: Mugunthan V N <[email-masked]>
Date: Fri, 7 Jun 2013 20:19:15 +0530

On 6/7/2013 1:12 PM, David Miller wrote:
> From: Linus Walleij <[email-masked]>
> Date: Fri, 7 Jun 2013 09:31:58 +0200
>
>> On Thu, Jun 6, 2013 at 10:50 AM, Mark Brown <[email-masked]> wrote:
>>> On Thu, Jun 06, 2013 at 11:29:39AM +0530, Mugunthan V N wrote:
>>>> On 6/6/2013 12:53 AM, Mark Brown wrote:
>>>>> Linus Walleij posted some patches which factor the state setting code
>>>>> out into generic functions earlier on today - it probably makes sense to
>>>>> pick those up rather than open coding
>>>> But this can go in as Linus Walleij's patch is not accepted yet.
>>>> Once that is
>>>> accepted and present in net git repo I will submit a separate patch to use
>>>> those APIs from pin ctrl core.
>>> Linus' change has pretty much gone in already but in any case what would
>>> be sensible here would be to write this in turns of Linus' changes and
>>> then send the patch to him to add to his series so it can go in via the
>>> same route.  One of the major reasons for the patch was that lots of
>>> people were querying the amount of noise caused by this sort of change.
>> I agree. We should be able to settle on the new core API quite soon,
>> then I can carry the patch to this driver if you obtain David's ACK.
> If you want to merge the direct networking parts of this series into
> another tree, I'm fine with that:
>
> Acked-by: David S. Miller <[email-masked]>
David

Can you the below patch series as i have adopted pinctrl PM api in 
another series,
this patch has direct usage of pinctrl_select_state apis
http://marc.info/?l=linux-netdev&m=137054250018667&w=2

Linus Walleij

Please drop this patch series and take my other [atch set mentioned above
with David's Ack.

Regards
Mugunthan V N